/*
 * ======== Standard MSP430 includes ========
 */
#include <msp430.h>

/*
 * ======== Grace related includes ========
 */
#include <ti/mcu/msp430/Grace.h>

/*
 *  ======== main ========
 */
int main(void)
{
	Grace_init();                   		// Activate Grace-generated configuration
	int ADC_Conversion_Result;				// ADC conversion result
	unsigned static const int threshold = 0x1FF;		// 'Bright' reading conversion threshold
	/* NOTE:
	* Threshold value may need to be changed based
	* on amount of light in demo area.
	*/

	while(1){
		/* ADC Start Conversion - Software trigger */
		ADC10CTL0 |= ADC10SC;

		/* Loop until ADC10IFG is set indicating ADC conversion complete */
		while ((ADC10CTL0 & ADC10IFG) == 0);

		/* Read ADC conversion result from ADC10MEM */
		ADC_Conversion_Result = ADC10MEM;

		/* Turn on LED when dark */
		if(ADC_Conversion_Result < threshold) P1OUT |= BIT0;
		/* Turn off LED when bright */
		else P1OUT &= ~BIT0;

		__delay_cycles(5000);
	}
}
