/*
 * ======== Standard MSP430 includes ========
 */
#include <msp430.h>

/*
 * ======== Grace related includes ========
 */
#include <ti/mcu/msp430/Grace.h>

/*
 *  ======== main ========
 */
int main(void)
{
	Grace_init();                   // Activate Grace-generated configuration
	unsigned static const int threshold = 0x1FF;			// 'Bright' reading conversion threshold
	unsigned int ADC_Conversion_Result;						// ADC conversion result
	unsigned int dark_count = 0;							// Counter for number of consecutive dark readings

	while(1){
		ADC10CTL0 |= ENC + ADC10SC;							// ADC sampling and conversion start
		__bis_SR_register(CPUOFF + GIE);        			// Enter LPM0, ADC10_ISR will force exit

		ADC_Conversion_Result = ADC10MEM;					//
		if(ADC_Conversion_Result < threshold) dark_count++;	// If its dark, add to the counter, otherwise reset it
		else dark_count = 0;

		if(dark_count >= 3) P1OUT |= BIT0;					// If there has been 3 or more seconds of darkness turn on LED
		else P1OUT &= ~BIT0;								// Otherwise turn it off


		TAR = 0;											// Reset TAR
		TACTL |= MC_1;										// Start Timer_A Up-Mode, will count to 3k with 3kHz clock
		__bis_SR_register(LPM3_bits);						// Enter LPM3, TIMERA0_ISR will force exit

		/* 1 Second wait until TIMERA0_ISR */

	}
}
